# Get Thing Lifetime Data Usage

## Get lifetime data usage of Thing

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thing/lifetimeDataUsage/ThingId_ICCID_{ICCID}`

#### Path Parameters

| Name                                    | Type   | Description           |
| --------------------------------------- | ------ | --------------------- |
| ICCID<mark style="color:red;">\*</mark> | String | The ICCID of your SIM |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
Consumption value
```

{% endtab %}

{% tab title="404: Not Found Not found" %}

```javascript
{
    // Response
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Add your **Thing ICCID** and **Token** in the GET request to successfully obtain the Thing info.
{% endhint %}

### Example using **cURL**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thing/lifetimeDataUsage/ThingId_ICCID_{ICCID}" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {TOKEN_HERE}"
```

Example response (data shown in Bytes):

```json
{
  "Consumption": 1043738757
}
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thing/lifetimeDataUsage/{ThingId}" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/how-to-view-thing-lifetime-data-usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
